package theGhastModding.af2017.main;

import javax.swing.JOptionPane;

public class LOL {
	
	public static void main(String[] args){
		try {
			String password = JOptionPane.showInputDialog(null, "Please input the password to access TGMP :)", "Password required", JOptionPane.ERROR_MESSAGE);
			if(password.equals("OwO")){
				JOptionPane.showMessageDialog(null, "What's this?.......definitely not TGMP. You're not getting that anytime soon. April fooooooooooooooooooools!\nSeriously tho. TheGhastMidiPlayer will remain private for quite a while. Sorry.", "LMAO", JOptionPane.INFORMATION_MESSAGE);
			}else{
				JOptionPane.showMessageDialog(null, "LOL wrong!", "Wrong", JOptionPane.ERROR_MESSAGE);
				int option = JOptionPane.showConfirmDialog(null, "Wait....do you NOT know the password?", ".", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
				if(option != 0){
					JOptionPane.showMessageDialog(null, "Then make sure to spell it correctly!", ".", JOptionPane.WARNING_MESSAGE);
					System.exit(0);
				}
				JOptionPane.showMessageDialog(null, "In that case, you're probably not supposed to have this piece of software. But have a hint anyways: the password is 3 letters, first one is an 'O'", ".", JOptionPane.INFORMATION_MESSAGE);
				
			}
		}catch(Exception e){
			JOptionPane.showMessageDialog(null, "There was an error or something like that idk");
			e.printStackTrace();
			System.exit(1);
		}
	}
	
}